Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727334 - dev-texlive/texlive-luatex-2020 fails to emerge ==> Fatal error occurred, no output PDF file produced!
Summary: dev-texlive/texlive-luatex-2020 fails to emerge ==> Fatal error occurred, no ...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alexis Ballier
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-06 16:44 UTC by Chris Mayo
Modified: 2021-08-15 21:26 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Mayo 2020-06-06 16:44:22 UTC
Looks like this Debian bug:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=956625

Fixed with "* Add lmodern dep for optex"


$ qlist -Iv latex
dev-texlive/texlive-latex-2020
dev-texlive/texlive-latexrecommended-2020


 * Building format texmf-dist/fmtutil/format.texlive-luatex.cnf
fmtutil: fmtutil is using the following fmtutil.cnf files (in precedence order):
fmtutil:   texmf-dist/fmtutil/format.texlive-luatex.cnf
fmtutil: fmtutil is using the following fmtutil.cnf file for writing changes:
fmtutil:   texmf-dist/fmtutil/format.texlive-luatex.cnf
fmtutil [INFO]: writing formats under /var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-var/web2c
fmtutil [INFO]: --- remaking optex with luatex
fmtutil: running `luatex -ini   -jobname=optex -progname=optex optex.ini' ...
This is LuaTeX, Version 1.12.0 (TeX Live 2020 Gentoo Linux)  (INITEX)
 restricted system commands enabled.

(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/optex.ini OpTeX (Olsak's Plain TeX) initialization <Alpha 0.05 Feb 2020>

(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/prefixed.opm Prefixing and code syntax <2020-02-14>
)
(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/luatex-ini.opm
LuaTeX initialization code <2020-01-23>
)
(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/basics-macros.opm
Basic macros for OpTeX <2020-02-14>
)
(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/alloc.opm
Allocators for registers <2020-01-23>
)
(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/if-macros.opm
Special if-macros, is-macros and loops <2020-01-23>
)
(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/parameters.opm
Parameter settings <2020-01-23>
)
(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/op-macros.opm
OpTeX useful macos <2020-02-14>
)
(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/plain-macros.opm
Macros from plain TeX <2019-02-14>
)
(/var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-dist/tex/luatex/op
tex/fonts-preload.opm
Latin Modern fonts (EC) preloaded <2020-01-23>
! Font \_tenrm=ec-lmr10 not loadable: metric data not found or bad.
<to be read again> 
\_font 
l.8 \_font
        \_tenbf=ec-lmbx10  % boldface extended
? 
! Emergency stop.
<to be read again> 
\_font 
l.8 \_font
        \_tenbf=ec-lmbx10  % boldface extended
!  ==> Fatal error occurred, no output PDF file produced!
Transcript written on optex.log.
fmtutil [INFO]: log file copied to: /var/tmp/portage/dev-texlive/texlive-luatex-2020/work/texmf-var/web2c/luatex/optex.log
fmtutil [ERROR]: running `luatex -ini   -jobname=optex -progname=optex optex.ini </dev/null' return status: 1
fmtutil [ERROR]: returning error due to option --strict
fmtutil [INFO]: failed to build: 1 (luatex/optex)
fmtutil [INFO]: total formats: 1
fmtutil [INFO]: exiting with status 1
Comment 1 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-06-13 09:03:10 UTC
Funny, we do not have lmodern package in the tree at all.
Comment 2 Larry the Git Cow gentoo-dev 2020-06-28 09:20:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27015991968734cc06e2c3f18ce4730f46dfeef0

commit 27015991968734cc06e2c3f18ce4730f46dfeef0
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-06-28 09:20:21 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-06-28 09:20:46 +0000

    dev-texlive/texlive-luatex: add missing lm package
    
    Closes: https://bugs.gentoo.org/727334
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 dev-texlive/texlive-luatex/Manifest                                     | 1 +
 .../{texlive-luatex-2020.ebuild => texlive-luatex-2020-r1.ebuild}       | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)
Comment 3 nivedita 2020-06-29 00:57:32 UTC
This is conflicting with dev-texlive/texlive-fontsrecommended-2020, which also contains the lm module.
Comment 4 Ulrich Müller gentoo-dev 2020-06-29 09:26:09 UTC
(In reply to nivedita from comment #3)
> This is conflicting with dev-texlive/texlive-fontsrecommended-2020, which
> also contains the lm module.

Reopening.

Presumably, a dependency on texlive-fontsrecommended should be added instead.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-06-29 09:36:04 UTC
Done
Comment 6 Larry the Git Cow gentoo-dev 2020-06-29 09:36:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73f8e6f7a42d87884a3946d5a97e7195001b72a3

commit 73f8e6f7a42d87884a3946d5a97e7195001b72a3
Author:     Ulrich Müller <ulm@gentoo.org>
AuthorDate: 2020-06-29 09:35:10 +0000
Commit:     Ulrich Müller <ulm@gentoo.org>
CommitDate: 2020-06-29 09:36:03 +0000

    dev-texlive/texlive-luatex: [QA] Fix collision with fontsrecommended.
    
    Bug: https://bugs.gentoo.org/727334
    Closes: https://bugs.gentoo.org/730006
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Ulrich Müller <ulm@gentoo.org>

 dev-texlive/texlive-luatex/texlive-luatex-2020-r2.ebuild | 1 +
 1 file changed, 1 insertion(+)
Comment 7 Nick Andrade 2021-04-27 20:08:01 UTC
This fix (adding texlive-latexrecommended dependency) needs to be carried forward to texlive-luatex-2021 -- should this be reopened or a new bug filed?
Comment 8 Sam James archtester gentoo-dev Security 2021-04-27 20:22:09 UTC
(In reply to Nick Andrade from comment #7)
> This fix (adding texlive-latexrecommended dependency) needs to be carried
> forward to texlive-luatex-2021 -- should this be reopened or a new bug filed?

Normally a new bug but I guess we’re here now so let’s reopen it
Comment 9 Nick Andrade 2021-04-28 01:09:23 UTC
(In reply to Sam James from comment #8)
> (In reply to Nick Andrade from comment #7)
> > This fix (adding texlive-latexrecommended dependency) needs to be carried
> > forward to texlive-luatex-2021 -- should this be reopened or a new bug filed?
> 
> Normally a new bug but I guess we’re here now so let’s reopen it


Cool, I wasn't clear for a case like this since it's essentially the same issue and fix.  Tested with "dev-texlive/texlive-fontsrecommended-2021" and it resolved my issue.
Comment 10 Kobboi 2021-08-15 21:26:02 UTC
Same problem (2021)